# Class FaceMatcher

#### Hierarchy

- FaceMatcher

- Defined in globalApi/FaceMatcher.ts:6

#####
Index

### Constructors

constructor

### Accessors

distanceThreshold
labeledDescriptors

### Methods

computeMeanDistance
findBestMatch
matchDescriptor
toJSON
fromJSON

## Constructors

### constructor

- new FaceMatcher(inputs: any, distanceThreshold?: number): FaceMatcher

- #### Parameters

  - ##### inputs: any

  - ##### distanceThreshold: number = 0.6

  #### Returns FaceMatcher

  - Defined in globalApi/FaceMatcher.ts:10

## Accessors

### distanceThreshold

- get distanceThreshold(): number

- #### Returns number

  - Defined in globalApi/FaceMatcher.ts:26

### labeledDescriptors

- get labeledDescriptors(): LabeledFaceDescriptors[]

- #### Returns LabeledFaceDescriptors[]

  - Defined in globalApi/FaceMatcher.ts:24

## Methods

### computeMeanDistance

- computeMeanDistance(queryDescriptor: Float32Array, descriptors: Float32Array[]): number

- #### Parameters

  - ##### queryDescriptor: Float32Array

  - ##### descriptors: Float32Array[]

  #### Returns number

  - Defined in globalApi/FaceMatcher.ts:28

### findBestMatch

- findBestMatch(queryDescriptor: Float32Array): FaceMatch

- #### Parameters

  - ##### queryDescriptor: Float32Array

  #### Returns FaceMatch

  - Defined in globalApi/FaceMatcher.ts:40

### matchDescriptor

- matchDescriptor(queryDescriptor: Float32Array): FaceMatch

- #### Parameters

  - ##### queryDescriptor: Float32Array

  #### Returns FaceMatch

  - Defined in globalApi/FaceMatcher.ts:34

### toJSON

- toJSON(): any

- #### Returns any

  - Defined in globalApi/FaceMatcher.ts:45

### `Static` fromJSON

- fromJSON(json: any): FaceMatcher

- #### Parameters

  - ##### json: any

  #### Returns FaceMatcher

  - Defined in globalApi/FaceMatcher.ts:52